$title	Read Social Accounting Matrix from an XLS file and Write a GAMS-readable text file

*	Define numeric set corresponding to rows and columns of the SAM:

set	r /1*37/;  alias (r,c);

*	Declare the parameter into which the XLS data will be written:

parameter sam(r,c)  Original SAM data for 1996;

*	Use XLLINK.EXE to read the Excel file:

$libinclude xlimport sam sam1996.xls samdata

*	Show us what it looks like:

display sam;

*	Write the data out for subsequent use in the model:

file kdat/sam.dat/; put kdat;
$libinclude gams2prm sam

*	Report check sums on the SAM consistency:

parameter chksum;
chksum(r) = sum(c, sam(r,c)-sam(c,r));
display chksum;

